# Class WindowTaskBarContainerComponent

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:39

#####
Index

### Constructors

constructor

### Properties

expand
windowService

## Constructors

### constructor

- new WindowTaskBarContainerComponent(windowService, settings?): WindowTaskBarContainerComponent

- #### Parameters

  - windowService: WindowService
  - settings: WindowTaskBarContainerSettings = null

  #### Returns WindowTaskBarContainerComponent

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:43

## Properties

### expand

expand: boolean = true

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:41

### windowService

windowService: WindowService

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:45